#include <bits/stdc++.h>
using namespace std;
#define int long long

const int N = 2e5 + 100 ;

//int a[N] ;
int ans ;

signed main() {

    int a , b ;
    cin >> a >> b ;

    queue < int > q ;
    q.push(a * b) ;

    while ( !q.empty() )
    {
        int cur = q.front() ;
        q.pop() ;
        ans += cur ;
        if ( cur > 1 )
        {
            q.push( cur / 2 ) ;
            q.push( cur / 2 + (cur % 2) ) ;
        }
    }

    cout << ans ;

}